Subject: bug#77328: 31.0.50; eglot-code-action-indicator containing U+F400

From: Robert Pluim <[email-masked]>
Date: Fri, 28 Mar 2025 11:01:05 +0100

>>>>> On Fri, 28 Mar 2025 07:07:08 +0100, Gerd Möllmann <[email-masked]> said:

    Gerd> which is a character in a "private use area". I guess that could
    Gerd> indicate that the use of this character is maybe not intentional.

    Gerd> (In my setting, macOS/iTerm2 terminal, JetBrains MONO font, running
    Gerd> emacs -nw, char-displayable-p returns t for #xf400, and it is displayed
    Gerd> as a question mark in a box, which is otherwise used for characters with
    Gerd> no defined meaning.)

I have a similar setup, but use "CaskaydiaMono Nerd Font Mono" for
non-ASCII, and it displays as what looks like a lightbulb. Perhaps we
should use U+1F4A1 ELECTRIC LIGHT BULB instead.

Robert
--